post
https://api.caas.staging.bancocdc.com.br/operation/iof/simulation/
The FGTS simulation IOF route carries out IOF simulations for operations using the FGTS model.
Through this route you can simulate the credit operation using the CAIXA FGTS model. Passing the code of the installments that are available on the routes to consult FGTS installments. Customer registration is not required for the process.
Attention point:
- To consume the route, it is necessary to pass the product code as a parameter.
- It is only possible to register the TAC once the relationship with the client is finalized. If the client has outstanding installments, it is not possible!
Parameters for FGTS Installments
| Type | Description |
|---|---|
| hash | Hash installments simulation |
Payment method type
| Value | Description |
|---|---|
| 1 | Payment Slip |
| 2 | Bank Check |
| 3 | Duplicates |
| 4 | Credit Card |
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-02 | Invalid hash. |
| 400 | 400-10 | Please provide the correct document. |
| 400 | 400-23 | Values outside the parametrization: 'X' |
| 400 | 400-24 | The operation could not be simulated. |
| 400 | 400-43 | Error when registering the result of the installments. |
| 400 | 400-46 | Error when registering the result of the operation. |
| 400 | 400-47 | For the iof_finance field, you must enter Y to finance fees and N when not necessary. |
| 400 | 400-61 | Error simulating: 'X' |
| 400 | 400-77 | The purchaser is disabled. |
| 401 | 401-05 | Unauthorized or token invalid |
| 406 | 406-03 | field 'X' is mandatory and was not informed. |
| 406 | 406-04 | The purchaser was not found. |
| 429 | 429-01 | Too many requests |
| 400 | 400-81 | Client has ongoing operations. |
| 400 | 400-83 | The customer has installments to pay, so it is not possible to send tariff_amount. |
| 400 | 400-84 | It is not possible to charge free_tariff_amount for the simulation product. |
Response Parameters
| Parameters | Format | Description |
|---|---|---|
| iof_financed | String/Char | Indicates whether the IOF is financed (Y) or not (N) |
| iof_amount | Number | Represents the value of the IOF |
| rate_iof_people_amount | Number | Represents the value of the IOF rate for individuals |
| rate_iof_base_amount | Number | Represents the value of the base IOF rate |
| request_code | String | Unique identifier for the request |
| return | Boolean | Indicates if the request was successful or not. |
| return_code | String | Code representing the status of the request |
| message | String | Message describing the result of the request. |